Subject: [RFC v2] ARM VM System Specification

From: [email-masked] (Christoffer Dall)
Date: Wed, 2 Jul 2014 03:13:10 -0700

On Tue, Jul 01, 2014 at 06:10:19PM +0100, Peter Maydell wrote:
> On 1 July 2014 18:03, Stefano Stabellini
> <[email-masked]> wrote:
> > On Mon, 30 Jun 2014, Peter Maydell wrote:
> >> How about:
> >> =====
> >> Guest OSes in the VM image should rely on the UEFI RTC API for
> >> real time clock services. (To provide that API, the VM system will
> >> likely need to implement some real time clock device, but the
> >> details of these are a private implementation issue between it
> >> and its associated UEFI implementation.)
> >
> > I don't see why we need to add the text within brackets: it is out of
> > scope for this document.
> 
> The intention is to be an informative note, not normative text
> (I'm happy if we want to format the text to make that clearer,
> with some sort of NOTE: markup). I'd like VM implementors
> reading this spec to make the correct decisions even if they
> don't happen to know inside-out the details of the UEFI
> specification and what exactly UEFI demands of the hardware,
> and I think it's worth adding the occasional clarifying sentence
> even if it doesn't strictly speaking add any extra rules to the
> specification.
> 
That's also the approach we've taken so far elsewhere in the document,
so I think it's useful.

-Christoffer